[package]
name = "ff-helper"
version = "0.0.1"
description = "ffmpeg helper by native binding"
authors = ["magicdawn"]
license = "MIT"
edition = "2024"
exclude = ["*.node"]

[lib]
crate-type = ["cdylib"]

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[dependencies]
# Default enable napi4 feature, see https://nodejs.org/api/n-api.html#node-api-version-matrix
napi = { version = "2.16.17", features = ["napi4"] }
napi-derive = "2.16.13"
ffmpeg-next = "8.0.0"
ffmpeg-sys-next = "8.0.1"
once_cell = "1.21.3"
env_logger = "0.11.8"
log = "0.4.28"
image = "0.25.8"
rayon = "1.11.0"
mozjpeg = "0.10.13"


[build-dependencies]
napi-build = "2.2.3"


[profile.release]
lto = true
strip = "debuginfo"
